<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Youtube Music</title>
    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
    <!--  STYLE  -->
    <link rel="stylesheet" href="styles/style.css">
    <!--  YOUTUBE API  -->
    <script src="https://www.youtube.com/iframe_api"></script>
    <!--  FONT AWESOME  -->
    <script src="https://kit.fontawesome.com/260ac163ee.js"></script>
    <!--  PLAYER SCRIPT  -->
    <script src="scripts/api.js"></script>
    <script src="scripts/utils.js"></script>
    <script src="scripts/player.js" type="module"></script>
    <script src="scripts/search.js" type="module"></script>
</head>
<body>


<!-- HIDDEN YOUTUBE PLAYER -->
<div id="yt"></div>

<!-- VISIBLE CUSTOM PLAYER -->
<div class="player">
    <div class="info">
        <img src="music.png" class="thumbnail" alt="author image">
        <div class="text">
            <h2 class="title">No Music</h2>
            <p class="author">nobody</p>
        </div>
    </div>
    <div class="time">
        <div>
            <output class="timer">0:00</output>
            <label>
                <input type="range" class="slider" min="0" max="100" value="0" step="1">
            </label>
            <output class="maxTime">0:00</output>
        </div>
    </div>
    <div class="buttons">
        <div class="fa-solid fa-backward"></div>
        <div id="play" class="fas fa-play"></div>
        <div class="fa-solid fa-forward"></div>
    </div>
</div>

<form class="search" onsubmit="inputSearch()" action="javascript:void(0);">
    <label>
        <input class="search-bar" type="text" placeholder="Search Here">
    </label>
    <button class="search-btn" type="submit">
        <i class="fa-solid fa-arrow-right"></i>
    </button>
</form>

<p class="search-text"></p>
<div class="results">
</div>
</body>
</html>